Show / Hide Table of Contents

# Interface IWebhookUser

Represents a Webhook Discord user.

##### Inherited Members

IGuildUser.JoinedAt
IGuildUser.Nickname
IGuildUser.GuildPermissions
IGuildUser.Guild
IGuildUser.GuildId
IGuildUser.PremiumSince
IGuildUser.RoleIds
IGuildUser.GetPermissions(IGuildChannel)
IGuildUser.KickAsync(String, RequestOptions)
IGuildUser.ModifyAsync(Action<GuildUserProperties>, RequestOptions)
IGuildUser.AddRoleAsync(IRole, RequestOptions)
IGuildUser.AddRolesAsync(IEnumerable<IRole>, RequestOptions)
IGuildUser.RemoveRoleAsync(IRole, RequestOptions)
IGuildUser.RemoveRolesAsync(IEnumerable<IRole>, RequestOptions)
IUser.AvatarId
IUser.GetAvatarUrl(ImageFormat, UInt16)
IUser.GetDefaultAvatarUrl()
IUser.Discriminator
IUser.DiscriminatorValue
IUser.IsBot
IUser.IsWebhook
IUser.Username
IUser.GetOrCreateDMChannelAsync(RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id
IMentionable.Mention
IPresence.Activity
IPresence.Status
IPresence.ActiveClients
IVoiceState.IsDeafened
IVoiceState.IsMuted
IVoiceState.IsSelfDeafened
IVoiceState.IsSelfMuted
IVoiceState.IsSuppressed
IVoiceState.VoiceChannel
IVoiceState.VoiceSessionId
IVoiceState.IsStreaming

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IWebhookUser : IGuildUser, IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence, IVoiceState

### Properties

| Improve this Doc View Source

#### WebhookId

Gets the ID of a webhook.

##### Declaration

    ulong WebhookId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

### Extension Methods

UserExtensions.SendMessageAsync(IUser, String, Boolean, Embed, RequestOptions)
UserExtensions.SendFileAsync(IUser, Stream, String, String, Boolean, Embed, RequestOptions)
UserExtensions.SendFileAsync(IUser, String, String, Boolean, Embed, RequestOptions)
UserExtensions.BanAsync(IGuildUser, Int32, String, RequestOptions)